<id>
Link IP for- Search for IP (add-on)
</id>

<version>
1.2
</version>

<mod info>
Tested on and coded for Yabb 2.0 Final

This patch will allow you to run the Link IP mod with astropilot's "Search for IP address" mod.  You must also install one of the following mods to be able to run the IP utility selection in Admin Center:

- Link IP
- Link IP for Hidden User mod
- Link IP for Last IP mod
- Link IP for Hidden User and Last IP mod

**Please read the "readme.txt" file for more extensive information.**

If you're interested in knowing the details of the IP addresses of your users, this mod will turn your IP addresses in search results from regular text into links that will connect with DNSstuff.com's IP utilities (Reverse DNS, Whois, Geolocation, Traceroute).

Installation Instructions:

1) Run this mod.
2) Upload your modified files to your server (note below) as well as the link_ip.lng (English only for now) and link_ip.pl (to Admin directory).
3) Go into the Link IP configuration area in the Admin Center to select which IP utility you want to use.

Modifies the following files:
-Sources/Search.pl

If you have any problems, comments, or bug reports, send them to: webmaster@eyeontoccoa.com.

Version History:
## 1.1 ##
- First Release

## 1.2 ##
- Final
</mod info>

<author>
Brian Longo
</author>

<homepage>
http://www.eyeontoccoa.com/mods/
</homepage>

<edit file>
Sources/Search.pl
</edit file>

<search for>
    ## Search for IP Address part
    $yymain .= qq~ <table width="100%"><tr><td colspan="2" class="windowbg2" align="right" valign="bottom"><br><hr class="hr" /><font size="1"><img src="$imagesdir/ip.gif" alt="" border="0">$mip</font></td></tr></table></td>~;
    ## Search IP Address end
    ## Search for IP Address added next line
</search for>

<replace>
## start link IP mod - define $iplink ##
		if($iputil eq 0){$iputil = 'ptr';}
		if($iputil eq 1){$iputil = 'whois';}
		if($iputil eq 2){$iputil = 'city';}
		if($iputil eq 3){$iputil = 'tracert';}
   		$iplink = qq~<a href="http://www.dnsstuff.com/tools/$iputil.ch?ip=$mip" target="_blank" style="text-decoration: underline;">$mip</a>~;
	## Search for IP Address part
    $yymain .= qq~ <table width="100%"><tr><td colspan="2" class="windowbg2" align="right" valign="bottom"><br><hr class="hr" /><font size="1"><img src="$imagesdir/ip.gif" alt="" border="0">$iplink</font></td></tr></table></td>~;
    ## Search IP Address end
    ## Search for IP Address added next line
## end link IP mod ##
</replace>