<id>
Link IP for Who Is Where (add-on)
</id>

<version>
1.2
</version>

<mod info>
Tested on and coded for YaBB 2.x

This patch will allow you to run the Link IP mod with XTC's "Who Is Where" mod.  You must also install one of the following mods to be able to run the IP utility selection in Admin Center:

- Link IP
- Link IP for Hidden User mod
- Link IP for Last IP mod
- Link IP for Hidden User and Last IP mod

**Please read the "readme.txt" file for more extensive information.**

If you're interested in knowing the details of the IP addresses of your users, this mod will turn your IP addresses in your Board Index and Message Display from regular text into links that will connect with DNSstuff.com's IP utilities (Reverse DNS, Whois, Geolocation, Traceroute).

Installation Instructions:

1) Run this mod.
2) Upload your modified files to your server (note below) as well as the link_ip.lng (English only for now) and link_ip.pl (to Admin directory).
3) Go into the Link IP configuration area in the Admin Center to select which IP utility you want to use.

Modifies the following file:
-Sources/Who.pl

If you have any problems, comments, or bug reports, send them to: webmaster@eyeontoccoa.com.

Version History:
## 1.1 ##
- First Release

## 1.2 ##
- Final
</mod info>

<author>
Brian Longo
</author>

<homepage>
http://www.eyeontoccoa.com/mods/
</homepage>

<edit file>
Sources/Who.pl
</edit file>

<search for>
		if ( $iamadmin || $iamgmod ) {
			$showusername = qq~$showusername ( $ipinfo )~;
		}
</search for>

<replace>
		if ( $iamadmin || $iamgmod ) {
## start link IP mod - define $iplink ##
		if($iputil eq 0){$iputil = 'ptr';}
		if($iputil eq 1){$iputil = 'whois';}
		if($iputil eq 2){$iputil = 'city';}
		if($iputil eq 3){$iputil = 'tracert';}
   		$iplink = qq~<a href="http://www.dnsstuff.com/tools/$iputil.ch?ip=$ipinfo" target="_blank" style="text-decoration: underline;">$ipinfo</a>~;
## end link IP mod ##
			$showusername = qq~$showusername ( $iplink )~;
		}
</replace>