<id>
Link IP for YaMMS
</id>

<version>
1.2
</version>

<mod info>
Tested on and coded for Yabb 2.0 Final

**Please read the "readme.txt" file for more extensive information.**

This patch will allow you to run the Link IP mod with Carsten's YaMMS mod.  You must also install one of the following mods to be able to run the IP utility selection in Admin Center:

- Link IP
- Link IP for Hidden User mod 

If you're interested in knowing the details of the IP addresses of your users, this mod will turn your IP addresses in your YaMMS member list window from regular text into links that will connect with DNSstuff.com's reverse DNS feature.

1) Run this mod.
2) Upload your modified files to your server (note below) as well as the link_ip.lng (English only for now) and link_ip.pl (to Admin directory).
3) Go into the Link IP configuration area in the Admin Center to select which IP utility you want to use.

Modifies the following file:
-Sources/Memberlist.pl

If you have any problems, comments, or bug reports, send them to: webmaster@eyeontoccoa.com.

Version History:
## 1.1 ##
- First Release

## 1.2 ##
- Final
</mod info>

<author>
Brian Longo
</author>

<homepage>
http://www.eyeontoccoa.com/mods/
</homepage>

<edit file>
Sources/Memberlist.pl
</edit file>

<search for>
		my $usrips = ${$uid.$user}{'lastips'};
		$usrips =~ s~\|*\Z~~g;
		$usrips =~ s~\|~<br \/>~g;
		$yymain .= qq~<td width="12%" align="center" class="windowbg">$usrips</td>~;
</search for>

<replace>
## start link IP mod - define $iplinks for Carsten's YaMMS Mod ##
		if($iputil eq 0){$iputil = 'ptr';}
		if($iputil eq 1){$iputil = 'whois';}
		if($iputil eq 2){$iputil = 'city';}
		if($iputil eq 3){$iputil = 'tracert';}
		($ip1, $ip2, $ip3) = split(/\|/, ${$uid.$user}{'lastips'});
   	    if($ip1 ne ''){$iplink1 = qq~<a href="http://www.dnsstuff.com/tools/$iputil.ch?ip=$ip1" target="_blank" style="text-decoration: underline;">$ip1</a><br />~;}
		else{$iplink1 = qq~<!-- -->~;}
		if($ip2 ne ''){$iplink2 = qq~<a href="http://www.dnsstuff.com/tools/$iputil.ch?ip=$ip2" target="_blank" style="text-decoration: underline;">$ip2</a><br />~;}
		else{$iplink2 = qq~<!-- -->~;}
		if($ip3 ne ''){$iplink3 = qq~<a href="http://www.dnsstuff.com/tools/$iputil.ch?ip=$ip3" target="_blank" style="text-decoration: underline;">$ip3</a>~;}
		else{$iplink3 = qq~<!-- -->~;}
		$yymain .= qq~<td width="12%" align="center" class="windowbg">$iplink1$iplink2$iplink3</td>~;
## end link IP for Carsten's YaMMS Mod ##
</replace>