#################################################################################
# link_ip.pl (Link IP Mod Perl Script)                                          #
#################################################################################
# Written for YaBB 2.x                                                          #
# Author: Brian Longo (aka, Mongo)                                              #
# email: webamster@eyeontoccoa.com                                              #
# http://www.eyeontoccoa.com/bb/                                                #
# Version: 1.2                                                                  #
# Date: December 12, 2005                                                       #
# Version History:                                                              #
# 1.1 - This file created                                                       #
# 1.2 - Moved options from last_ip.pl to this file                              #
#################################################################################

if($action eq 'detailedversion') { return 1; }

LoadLanguage("link_ip");

if(!-e("$vardir/link_ip.txt"))  {
	&link_ip_set_2;
}

require "$vardir/link_ip.txt";

sub link_ip_set { 

	if($iputil == 0) {$util1 = ' selected="selected"'; }
	elsif($iputil == 1) {$util2 = ' selected="selected"'; }
	elsif($iputil == 2) {$util3 = ' selected="selected"'; }
	elsif($iputil == 3) {$util4 = ' selected="selected"'; }
	if ($link_ip_bi) { $link_ip_bi_checked = ' checked '; }
	if ($link_ip_ml) { $link_ip_ml_checked = ' checked '; }
	if ($link_error) { $link_error_checked = ' checked '; }
	if ($link_display) { $link_display_checked = ' checked '; }
	$yymain .= qq~

<form action="$adminurl?action=link_ip2" method="post">
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$linkip_txt{'2'}</b>
	   </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg"><span class="small">$linkip_txt{'3'} <i>$linkip_txt{'4'}</i></span>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2">
		<div class="setting_cell">$linkip_txt{'10'}</div>
    	<div class="setting_cell2"><input type="checkbox" name="link_ip_bi" $link_ip_bi_checked /></div>
		<br />
    	<div class="setting_cell">$linkip_txt{'11'}</div>
    	<div class="setting_cell2"><input type="checkbox" name="link_ip_ml" $link_ip_ml_checked /></div>
		<br />
    	<div class="setting_cell">$linkip_txt{'13'}</div>
    	<div class="setting_cell2"><input type="checkbox" name="link_error" $link_error_checked /></div>
		<br />
    	<div class="setting_cell">$linkip_txt{'14'}</div>
    	<div class="setting_cell2"><input type="checkbox" name="link_display" $link_display_checked /></div>
		<br />
        <div class="setting_cell">$linkip_txt{'5'}</div>
    	<div class="setting_cell2">
		    <select name="iputil" size="1">
  			    <option value="0"$util1>$linkip_txt{'6'}</option>
  				<option value="1"$util2>$linkip_txt{'7'}</option>
  				<option value="2"$util3>$linkip_txt{'8'}</option>
				<option value="3"$util4>$linkip_txt{'9'}</option>
			</select>
		</div>
	  </td>
	</tr>
	<tr>
	  <td align="left" class="titlebg">
	    <span style="font-size: 12px; color: black; font-weight: bold;"><i>&nbsp;&nbsp;$linkip_txt{'2a'}</span></i>
      </td>
	</tr>
   </table>
 </div>

<br />

 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" value="$admin_txt{'10'}" />
	   </td>
     </tr>
   </table>
 </div>
</form>

	~;

	$yytitle = $admin_txt{'222'};
	$action_area = "link_ip";
	&AdminTemplate;
	exit;

}
	
sub link_ip_set_2 {

    &is_admin_or_gmod;

	$iputil = $FORM{'iputil'} || 0;
	$link_ip_bi = $FORM{'link_ip_bi'} ? 1 : 0;
	$link_ip_ml = $FORM{'link_ip_ml'} ? 1 : 0;
	$link_error = $FORM{'link_error'} ? 1 : 0;
    $link_display = $FORM{'link_display'} ? 1 : 0;
	
	my $setfile = << "EOF";
###############################################################################
# link_ip.txt (Link IP Mod configurations)                                    #       
###############################################################################

\$iputil = $iputil; # names the type of IP utility to be used (Reverse DNS, Whois, Geolocation, Traceroute)
\$link_ip_bi = $link_ip_bi; # set to 1 to link the Board Index IP address to dnsstuff.com
\$link_ip_ml = $link_ip_ml; # set to 1 to link the Member List IP address to dnsstuff.com
\$link_error = $link_error; # set to 1 to link the IP addresses in your error log
\$link_display = $link_display; #set to one to link the IP addresses in all posts

1;
EOF

	fopen(FILE, ">$vardir/link_ip.txt");
	print FILE $setfile;
	fclose(FILE);
	
	if ($action eq "link_ip2") {
		$yySetLocation = qq~$adminurl?action=link_ip~;
		&redirectexit;
	}

}

1;
